## vcftools 0.1.7

=== Makefile ===
#
# 1) Compiling
#   Type make in this directory
#
# 2) Installation
#   Edit the BINDIR and MODDIR below as necessary or pass the PREFIX variable
#   to the make command. When not set, the programs will be placed in "bin" 
#   and "lib" subdirectories in this directory.
#       PREFIX="/install/to/path/prefix" make install
#
#   Add the MODDIR to your PERL5LIB environment variable:
#       export PERL5LIB=${PREFIX}/lib:${PERL5LIB}
#


ifndef PREFIX
    export PREFIX = $(dir $(realpath $(lastword $(MAKEFILE_LIST))))
endif
export BINDIR = ${PREFIX}/bin
export MODDIR = ${PREFIX}/lib

DIRS = cpp perl
install:
	    @mkdir -p $(BINDIR); mkdir -p $(MODDIR); \
        for dir in $(DIRS); do cd $$dir && $(MAKE) $(MAKEFLAGS) && cd ..; done

clean:
		@for dir in $(DIRS); do cd $$dir && $(MAKE) clean && cd ..; done

=== perl/Makefile ===

BIN = vcf-compare fill-aa vcf-annotate vcf-merge vcf-isec vcf-stats vcf-to-tab fill-an-ac \
    vcf-query vcf-convert vcf-subset vcf-validator vcf-concat vcf-sort
MOD = FaSlice.pm Vcf.pm

install:
	    @for i in $(BIN); do cp $(CURDIR)/$$i $(BINDIR)/$$i; done; \
        for i in $(MOD); do cp $(CURDIR)/$$i $(MODDIR)/$$i; done; 

clean:
		@for i in $(BIN); do rm -f $(BINDIR)/$$i; done; \
        for i in $(MOD); do rm -f $(MODDIR)/$$i; done;

=== debian/changelog ===
vcftools (0.1.7-1) unstable; urgency=low

  * new upstream version
  * rearrange debian/copyright to calm lintian

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 19 Oct 2011 18:00:00 +0200

vcftools (0.1.6-1) unstable; urgency=low

  [ Thorsten ]
  * Initial release (Closes: #633142).

  [ Steffen as the package's sponsor ]
  * Added README.source
  * Removed Andreas and myself from uploaders
  * Followed FTPmaster's advice to remove the source-less .pdf from source tree

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 10 Jul 2011 15:18:25 +0200

=== debian/control ===
Source: vcftools
Section: science
Priority: extra
Build-Depends: debhelper (>= 8.0.0), zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://vcftools.sourceforge.net
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/vcftools/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/vcftools/trunk

Package: vcftools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: tabix
Description: designed for working with VCF files
 VCFtools is a program package designed for working with VCF files, such as 
 those generated by the 1000 Genomes Project. The aim of VCFtools is to 
 provide methods for working with VCF files: validating, merging, comparing 
 and calculate some basic population genetic statistics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ 

override_dh_clean:
	dh_clean
	# [ -r Makefile ] && make clean ?

override_dh_auto_install:
	mkdir -p debian/vcftools/usr/bin
	cp bin/* debian/vcftools/usr/bin
	mkdir -p debian/vcftools/usr/share/perl5
	cp lib/* debian/vcftools/usr/share/perl5
	cp perl/VcfStats.pm debian/vcftools/usr/share/perl5
	cp cpp/vcftools debian/vcftools/usr/bin
	mkdir -p debian/vcftools/usr/share/doc/vcftools
	cp -a examples debian/vcftools/usr/share/doc/vcftools
	dh_installchangelogs perl/ChangeLog
	dh_auto_install

get-orig-source:
	. debian/get-orig-source

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/vcftools/vcftools_(\d*\.\d*\.\d*)\.tar\.gz

## vcftools 0.1.9

=== cpp/Makefile ===
# Make file for vcftools
# Author: Adam Auton
# ($Revision: 230 $)

# Compiler
CPP = g++
# Output executable
EXECUTABLE = vcftools
# Flag used to turn on compilation of PCA routines
ifndef VCFTOOLS_PCA
	VCFTOOLS_PCA = 0
endif
# Compiler flags
CPPFLAGS = -O2 -Wall -Wextra
#CPPFLAGS = -g 
# Included libraries (zlib)
LIB = -lz 
#LIB = -lz -I/opt/local/include/ -L/opt/local/lib/
SOURCES = vcftools.cpp vcf_file.cpp vcf_entry.cpp \
			vcf_entry_getters.cpp vcf_entry_setters.cpp \
			vcf_file_filters.cpp vcf_file_output.cpp \
			vcf_file_format_convert.cpp \
			vcf_file_diff.cpp parameters.cpp \
			vcf_file_index.cpp \
			output_log.cpp

ifeq ($(VCFTOOLS_PCA), 1)
	# Define flag for PCA routine compilation
	CPPFLAGS += -DVCFTOOLS_PCA
	# Add LAPACK library
	LIB += -llapack	
	# Add PCA source code
	SOURCES += dgeev.cpp
endif

all: vcftools

vcftools: $(SOURCES)
	$(CPP) $(CPPFLAGS) $(SOURCES) -o $@ $(LIB)
ifdef BINDIR
	cp $(CURDIR)/$@ $(BINDIR)/$@
endif

clean:
	@rm -f vcftools
	@rm -f $(BINDIR)/vcftools

=== perl/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 BIN = vcf-compare fill-aa vcf-annotate vcf-merge vcf-isec vcf-stats vcf-to-tab fill-an-ac \
     vcf-query vcf-convert vcf-subset vcf-validator vcf-concat vcf-sort
-MOD = FaSlice.pm Vcf.pm
+MOD = FaSlice.pm Vcf.pm VcfStats.pm
 
 install:
 	    @for i in $(BIN); do cp $(CURDIR)/$$i $(BINDIR)/$$i; done; \

=== debian/changelog ===
vcftools (0.1.9-1) unstable; urgency=low

  * New upstream version
  * debian/upstream: Added citations
  * debian/control:Standards-Version: 3.9.3 (no changes needed)
  * debian/{get-orig-source,rules,watch}: Make sure we always get the
    latest version
  * debhelper 9 (control+compat)
  * debian/{rules,install,examples}: use debhelper files to install
    files (upstream changed some targets so the old copying mechanism
    did not worked any more)
  * debian/patches/use-dpkg-buildflags.patch: Enable propagation of
    hardening flags

 -- Andreas Tille <tille@debian.org>  Sat, 12 May 2012 09:31:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: vcftools
 Section: science
 Priority: extra
-Build-Depends: debhelper (>= 8.0.0), zlib1g-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), zlib1g-dev
+Standards-Version: 3.9.3
 Homepage: http://vcftools.sourceforge.net
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>,
+ Andreas Tille <tille@debian.org>
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/vcftools/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/vcftools/trunk

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/vcftools/vcftools_(\d*\.\d*\.\d*)\.tar\.gz \
  debian debian/get-orig-source

## vcftools 0.1.9+dfsg

=== website/Makefile ===

FILES=docs index license options perl_module specs links

install:
	    @for i in $(FILES); do echo "php src/index.php $$i > $$i.html"; php src/index.php $$i > $$i.html; done;

=== debian/changelog ===
vcftools (0.1.9+dfsg-2) unstable; urgency=low

  * debian/control: description changed (Closes: #689058)
  * debian/patches/perl.patch for new syntax (Closes: #689059)
  * fix get-orig-source to handle dfsg

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 02 Dec 2012 19:00:00 +0100

vcftools (0.1.9+dfsg-1) UNRELEASED; urgency=low

  * debian/copyright:
     - DEP5
     - Add Files-Excluded to document what was removed from original source
  * debian/watch: Enable handling dfsg suffix

 -- Andreas Tille <tille@debian.org>  Wed, 12 Sep 2012 16:31:09 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Recommends: tabix
-Description: designed for working with VCF files
+Description: Collection of tools to work with VCF files
  VCFtools is a program package designed for working with VCF files, such as 
  those generated by the 1000 Genomes Project. The aim of VCFtools is to 
  provide methods for working with VCF files: validating, merging, comparing

## vcftools 0.1.11%2Bdfsg

=== perl/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 
-BIN = vcf-compare fill-aa vcf-annotate vcf-merge vcf-isec vcf-stats vcf-to-tab fill-an-ac \
-    vcf-query vcf-convert vcf-subset vcf-validator vcf-concat vcf-sort
+BIN = fill-aa fill-an-ac fill-fs fill-ref-md5 vcf-annotate vcf-compare vcf-concat \
+    vcf-consensus vcf-contrast vcf-convert vcf-fix-ploidy vcf-indel-stats vcf-isec vcf-merge vcf-phased-join \
+    vcf-query vcf-shuffle-cols vcf-sort vcf-stats vcf-subset vcf-to-tab vcf-tstv vcf-validator
 MOD = FaSlice.pm Vcf.pm VcfStats.pm
 
 install:

=== debian/changelog ===
vcftools (0.1.11+dfsg-1) unstable; urgency=low

  * new upstream version
  * debian/patches/use-dpkg-buildflags.patch: adatpt for new version
  * debian/control: adapt VCS*-lines according to lintian

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jun 2013 18:00:00 +0200

vcftools (0.1.10+dfsg-1) unstable; urgency=low

  [ Thorsten Alteholz ]
  * add man pages for new scripts
  * debian/patches/use-dpkg-buildflags.patch: add LDFLAGS to link stage
  * debian/vcftools.lintian-overrides: false positive
  * debian/control: standard bumped to 3.9.4 (no changes)
  * debian/control: DM-Upload-Allowed removed

  [ Dominique Belhachemi ]
  * New upstream version
  * Updated debian/patches/use-dpkg-buildflags.patch
  * Removed debian/patches/perl.patch (applied upstream)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 24 Feb 2013 16:00:00 +0100

## vcftools 0.1.11+dfsg

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
     export PREFIX = $(dir $(realpath $(lastword $(MAKEFILE_LIST))))
 endif
 export BINDIR = ${PREFIX}/bin
-export MODDIR = ${PREFIX}/lib
+export MODDIR = ${PREFIX}/lib/perl5/site_perl
 
 DIRS = cpp perl
 install:

=== cpp/Makefile ===
# Make file for vcftools
# Author: Adam Auton
# ($Revision: 230 $)

# Compiler
CC = gcc
CPP = g++
# Output executable
EXECUTABLE = vcftools
# Flag used to turn on compilation of PCA routines
ifndef VCFTOOLS_PCA
	VCFTOOLS_PCA = 0
endif
# Compiler flags
CFLAGS = -O2 -m64
#CFLAGS = -Wall -O2 -pg -m64
CPPFLAGS = -O2 -D_FILE_OFFSET_BITS=64 
#CPPFLAGS = -O2 -Wall -pg -D_FILE_OFFSET_BITS=64
# Included libraries (zlib)
LIB = -lz 
#LIB = -lz -I/opt/local/include/ -L/opt/local/lib/

OBJS = vcftools.o bcf_file.o vcf_file.o variant_file.o \
		bcf_entry.o vcf_entry.o entry.o entry_setters.o entry_getters.o \
		vcf_entry_setters.o	bcf_entry_setters.o variant_file_filters.o \
		variant_file_output.o variant_file_format_convert.o \
		variant_file_diff.o header.o parameters.o \
		variant_file_index.o \
		output_log.o bgzf.o gamma.o

ifeq ($(VCFTOOLS_PCA), 1)
	# Define flag for PCA routine compilation
	CPPFLAGS += -DVCFTOOLS_PCA
	# Add LAPACK library
	LIB += -llapack	
	# Add PCA source code
	OBJS+= dgeev.o
endif

vcftools: $(OBJS)
	$(CPP) $(CPPFLAGS) $(OBJS) -o vcftools $(LIB)
ifdef BINDIR
	cp $(CURDIR)/$@ $(BINDIR)/$@
endif

bgzf: bgzf.c
	$(CC) -c $(CFLAGS) $(FLAGS) bgzf.c $(LIB) -o bgzf.o

# pull in dependency info for *existing* .o files
-include $(OBJS:.o=.d)

%.o: %.cpp
	$(CPP) -c $(CPPFLAGS) $*.cpp -o $*.o
	$(CPP) -MM $(CPPFLAGS) $*.cpp > $*.d

# remove compilation products
clean:
	@rm -f vcftools *.o *.d
	@rm -f $(BINDIR)/vcftools

=== website/Makefile ===

FILES=docs index license options perl_module specs links htslib

install:
	    @for i in $(FILES); do echo "php src/index.php $$i > $$i.html"; php src/index.php $$i > $$i.html; done;

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: science
 Priority: extra
 Build-Depends: debhelper (>= 9), zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://vcftools.sourceforge.net
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Thorsten Alteholz <debian@alteholz.de>,
  Andreas Tille <tille@debian.org>
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/vcftools/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/vcftools/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/vcftools/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/vcftools/trunk
 
 Package: vcftools
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ 

override_dh_clean:
	dh_clean
	# [ -r Makefile ] && make clean ?

override_dh_installchangelogs:
	dh_installchangelogs perl/ChangeLog

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs --no-symlink

=== debian/watch ===
version=3
opts=dversionmangle=s/[~\+]dfsg// \
http://sf.net/vcftools/vcftools_(\d*\.\d*\.\d*)\.tar\.gz \
  debian debian/get-orig-source

## vcftools 0.1.12b

=== Makefile ===
--- 
+++ 
@@ -11,17 +11,22 @@
 #   Add the MODDIR to your PERL5LIB environment variable:
 #       export PERL5LIB=${PREFIX}/lib:${PERL5LIB}
 #
+#   Add the MANDIR to your MANPATH environment variable:
+#       export MANPATH=${PREFIX}/bin:$MANPATH
+#
 
 
 ifndef PREFIX
     export PREFIX = $(dir $(realpath $(lastword $(MAKEFILE_LIST))))
 endif
 export BINDIR = ${PREFIX}/bin
+export MANDIR = ${PREFIX}/bin/man1
 export MODDIR = ${PREFIX}/lib/perl5/site_perl
 
 DIRS = cpp perl
 install:
-	    @mkdir -p $(BINDIR); mkdir -p $(MODDIR); \
+	    @mkdir -p $(BINDIR); mkdir -p $(MODDIR); mkdir -p $(MANDIR); \
+	    cp ${PREFIX}/cpp/vcftools.1 $(MANDIR); \
         for dir in $(DIRS); do cd $$dir && $(MAKE) $(MAKEFLAGS) && cd ..; done
 
 clean:

=== website/Makefile ===

FILES=documentation downloads examples htslib index license links man_latest man_0112a perl_examples perl_module specs

install:
	    @for i in $(FILES); do echo "php src/index.php $$i > $$i.html"; php src/index.php $$i > $$i.html; done;

## vcftools 0.1.12+dfsg

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 DIRS = cpp perl
 install:
 	    @mkdir -p $(BINDIR); mkdir -p $(MODDIR); mkdir -p $(MANDIR); \
-	    cp ${PREFIX}/cpp/vcftools.1 $(MANDIR); \
+	    cp ${PREFIX}/cpp/vcftools.1.gz $(MANDIR); \
         for dir in $(DIRS); do cd $$dir && $(MAKE) $(MAKEFLAGS) && cd ..; done
 
 clean:

=== cpp/Makefile ===
--- 
+++ 
@@ -21,12 +21,9 @@
 #LIB = -lz -I/opt/local/include/ -L/opt/local/lib/
 
 OBJS = vcftools.o bcf_file.o vcf_file.o variant_file.o \
-		bcf_entry.o vcf_entry.o entry.o entry_setters.o entry_getters.o \
-		vcf_entry_setters.o	bcf_entry_setters.o variant_file_filters.o \
-		variant_file_output.o variant_file_format_convert.o \
-		variant_file_diff.o header.o parameters.o \
-		variant_file_index.o \
-		output_log.o bgzf.o gamma.o
+	header.o bcf_entry.o vcf_entry.o entry.o entry_getters.o entry_setters.o \
+	vcf_entry_setters.o bcf_entry_setters.o entry_filters.o variant_file_filters.o variant_file_output.o parameters.o \
+	variant_file_format_convert.o variant_file_diff.o output_log.o bgzf.o gamma.o
 
 ifeq ($(VCFTOOLS_PCA), 1)
 	# Define flag for PCA routine compilation

=== website/Makefile ===

FILES=documentation downloads examples htslib index license links man_latest perl_examples perl_module specs

install:
	    @for i in $(FILES); do echo "php src/index.php $$i > $$i.html"; php src/index.php $$i > $$i.html; done;

=== debian/changelog ===
vcftools (0.1.12+dfsg-1+deb8u1) jessie-security; urgency=high

  * Add patch for:
      CVE-2018-11099
      CVE-2018-11129
      CVE-2018-11130
 
 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 27 May 2019 19:03:02 +0200

vcftools (0.1.12+dfsg-1) unstable; urgency=low

  * new upstream version
  * debian/control: standard bumped to 3.9.5 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 04 Apr 2014 18:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: extra
 Build-Depends: debhelper (>= 9), zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://vcftools.sourceforge.net
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-# export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 %:
 	dh $@

## vcftools 0.1.13%2bdfsg

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 #       export MANPATH=${PREFIX}/bin:$MANPATH
 #
 
-
+export SRCDIR = $(dir $(realpath $(lastword $(MAKEFILE_LIST))))
 ifndef PREFIX
-    export PREFIX = $(dir $(realpath $(lastword $(MAKEFILE_LIST))))
+    export PREFIX = ${SRCDIR}
 endif
 export BINDIR = ${PREFIX}/bin
 export MANDIR = ${PREFIX}/bin/man1
@@ -26,7 +26,7 @@
 DIRS = cpp perl
 install:
 	    @mkdir -p $(BINDIR); mkdir -p $(MODDIR); mkdir -p $(MANDIR); \
-	    cp ${PREFIX}/cpp/vcftools.1.gz $(MANDIR); \
+	    cp ${SRCDIR}/cpp/vcftools.1 $(MANDIR); \
         for dir in $(DIRS); do cd $$dir && $(MAKE) $(MAKEFLAGS) && cd ..; done
 
 clean:

## vcftools 0.1.13+dfsg

=== debian/changelog ===
vcftools (0.1.13+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Adapt to new uscan
  * cme fix dpkg-control
  * Priority: optional
  * Fix permission of example files
  * DEP5 fix

 -- Andreas Tille <tille@debian.org>  Sun, 09 Aug 2015 08:15:47 +0200

=== debian/control ===
Source: vcftools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/vcftools/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/vcftools/trunk
Homepage: http://vcftools.sourceforge.net

Package: vcftools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Recommends: tabix
Description: Collection of tools to work with VCF files
 VCFtools is a program package designed for working with VCF files, such as 
 those generated by the 1000 Genomes Project. The aim of VCFtools is to 
 provide methods for working with VCF files: validating, merging, comparing 
 and calculate some basic population genetic statistics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

%:
	dh $@ 

override_dh_clean:
	dh_clean
	# [ -r Makefile ] && make clean ?

override_dh_installchangelogs:
	dh_installchangelogs perl/ChangeLog

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/$(DEBPKGNAME)/usr/share/doc/vcftools/examples/*

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack --compression xz --destdir=../tarballs --no-symlink

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
http://sf.net/vcftools/vcftools_(\d*\.\d*\.\d*)\.tar\.gz \
  debian debian/get-orig-source

## vcftools 0.1.14+dfsg

=== debian/changelog ===
vcftools (0.1.14+dfsg-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Unsafe memory handling
    - debian/patches/CVE-2018-11099_11129-11130-1.patch: Added error if
      entries fail length expectations
    - debian/patches/CVE-2018-11099_11129-11130-2.patch: Additional tokenize
      checks
    - debian/patches/CVE-2018-11099_11129-11130-3.patch: Just warning, don't
      fail, if tokens don't meet expectations
    - CVE-2018-11099
    - CVE-2018-11129
    - CVE-2018-11130

 -- Mike Salvatore <mike.salvatore@canonical.com>  Fri, 10 May 2019 11:46:15 -0400

vcftools (0.1.14+dfsg-2) unstable; urgency=medium

  * Set Perl module dir in configure option
    Closes: #806708

 -- Andreas Tille <tille@debian.org>  Mon, 30 Nov 2015 16:41:36 +0100

vcftools (0.1.14+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Source has moved to github
    Closes: #805287
  * Remove unneeded get-orig-source script
  * Adapt to new build system
  * Delete unneeded overrides
  * Remove redundant README.source
  * move manpages into common dir

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2015 15:25:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: vcftools
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               pkg-config,
                zlib1g-dev
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/vcftools/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/vcftools/trunk
-Homepage: http://vcftools.sourceforge.net
+Homepage: https://vcftools.github.io/
 
 Package: vcftools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,13 @@
 DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
 
 %:
-	dh $@ 
+	dh $@ --with autoreconf
 
-override_dh_clean:
-	dh_clean
-	# [ -r Makefile ] && make clean ?
+override_dh_auto_configure:
+	dh_auto_configure -- --with-pmdir=/usr/share/perl5
 
 override_dh_installchangelogs:
-	dh_installchangelogs perl/ChangeLog
+	dh_installchangelogs src/perl/ChangeLog
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
https://github.com/vcftools/vcftools/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## vcftools 0.1.15

=== debian/changelog ===
vcftools (0.1.15-1) unstable; urgency=medium

  * New upstream version

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - added references to registries
    - yamllint cleanliness

  [ Andreas Tille ]
  * Standards-Version: 4.1.3
  * debhelper 11
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2018 20:08:00 +0100

vcftools (0.1.14+dfsg-4) unstable; urgency=medium

  * make -p work without . on @INC (Thanks for the patch to Niko Tyni
    <ntyni@debian.org>)
    Closes: #842794
  * debhelper 10
  * d/watch: version=4
  * add test script to /usr/share/doc/vcftools to enable users reproducing
    the test

 -- Andreas Tille <tille@debian.org>  Thu, 15 Dec 2016 22:56:59 +0100

vcftools (0.1.14+dfsg-3) unstable; urgency=medium
  
  * Team upload

  [ Andreas Tille ]
  * Move packaging from SVN to Git
  * cme fix dpkg-control
  * hardening=+all
  * fix some spelling
  * add missing manpage

  [ Canberk Koç ]
  * autopkgtest added
  * fix for broken tests

 -- Canberk Koç <canberkkoc@gmail.com>  Sun, 03 Jul 2016 13:32:34 +0300

=== debian/control ===
Source: vcftools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               pkg-config,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/vcftools.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/vcftools.git
Homepage: https://vcftools.github.io/

Package: vcftools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Recommends: tabix
Description: Collection of tools to work with VCF files
 VCFtools is a program package designed for working with VCF files, such as 
 those generated by the 1000 Genomes Project. The aim of VCFtools is to 
 provide methods for working with VCF files: validating, merging, comparing 
 and calculate some basic population genetic statistics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

sampledir:=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-pmdir=/share/perl5

override_dh_installchangelogs:
	dh_installchangelogs src/perl/ChangeLog

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack --compression xz --destdir=../tarballs --no-symlink

override_dh_installexamples:
	dh_installexamples;
	mkdir -p $(sampledir)/testsuite;
	mkdir -p $(sampledir)/testdata;
	cp ./examples/* $(sampledir)/testdata/;
	find ./src/perl/ \( -name "*.pm" -o -name "*fill*" -o -name "test.t" \) -exec cp \{\} $(sampledir)/testsuite \;
	sed -i 's#examples#testdata#g' $(sampledir)/testsuite/test.t;
	sed -i 's#I\.\./perl/#I\.\./\.#g' $(sampledir)/testsuite/test.t;
	sed -i 's#\.\./perl/#/usr/bin/#g' $(sampledir)/testsuite/test.t;

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
https://github.com/vcftools/vcftools/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## vcftools 0.1.16

=== debian/changelog ===
vcftools (0.1.16-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 07:36:06 +0200

vcftools (0.1.16-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 18:47:17 +0100

vcftools (0.1.16-1) unstable; urgency=medium

  * New upstream version dealing with CVE-2018-11099, CVE-2018-11129 and
    CVE-2018-11130
    Closes: #902190
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Remove unneeded get-orig-source target
  * Fix interpreter line in Perl scripts

 -- Andreas Tille <tille@debian.org>  Fri, 03 Aug 2018 16:20:50 +0200

=== debian/control ===
Source: vcftools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               zlib1g-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/vcftools
Vcs-Git: https://salsa.debian.org/med-team/vcftools.git
Homepage: https://vcftools.github.io/
Rules-Requires-Root: no

Package: vcftools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Recommends: tabix
Description: Collection of tools to work with VCF files
 VCFtools is a program package designed for working with VCF files, such as
 those generated by the 1000 Genomes Project. The aim of VCFtools is to
 provide methods for working with VCF files: validating, merging, comparing
 and calculate some basic population genetic statistics.

## vcftools 0.1.17

=== debian/changelog ===
vcftools (0.1.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Refresh patches

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 Aug 2025 08:15:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/vcftools
 Vcs-Git: https://salsa.debian.org/med-team/vcftools.git
 Homepage: https://vcftools.github.io/

=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,14 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --with-pmdir=/share/perl5
 
+override_dh_install:
+	dh_install
+	for perlscript in `grep -l '#!/usr/bin/env \+perl' debian/*/usr/bin/*` ; do \
+	    sed -i '1s+#!/usr/bin/env perl+#!/usr/bin/perl+' $${perlscript} ; \
+	done
+
 override_dh_installchangelogs:
 	dh_installchangelogs src/perl/ChangeLog
-
-get-orig-source:
-	mkdir -p ../tarballs
-	uscan --verbose --force-download --repack --compression xz --destdir=../tarballs --no-symlink
 
 override_dh_installexamples:
 	dh_installexamples;
@@ -32,3 +34,6 @@
 	sed -i 's#examples#testdata#g' $(sampledir)/testsuite/test.t;
 	sed -i 's#I\.\./perl/#I\.\./\.#g' $(sampledir)/testsuite/test.t;
 	sed -i 's#\.\./perl/#/usr/bin/#g' $(sampledir)/testsuite/test.t;
+	for perlscript in `grep -lR '#!/usr/bin/env \+perl' debian/*/usr/share/doc/vcftools/examples` ; do \
+	    sed -i '1s+#!/usr/bin/env perl+#!/usr/bin/perl+' $${perlscript} ; \
+	done

=== debian/tests/control ===
Tests: run-unit-test
Depends: tabix,libtest-most-perl, @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
https://github.com/vcftools/vcftools/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
